> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a contract

> Get a contract

### Path parameters

<ParamField path="id" type="string" required>
  Revenue contract ID
</ParamField>

### Responses

<ResponseField name="200" type="RevenueContractResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/revenue-contracts/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "contract_number": "string",
    "created_at": "string",
    "currency": "string",
    "customer_id": "string",
    "deferred_balance": "string",
    "effective_date": "string",
    "id": "string",
    "obligations": [
      {
        "allocated_amount": "string",
        "contract_id": "string",
        "deferred_amount": "string",
        "description": "string",
        "id": "string",
        "recognition_method": "string",
        "recognized_amount": "string"
      }
    ],
    "status": "string",
    "total_recognized": "string",
    "transaction_price": "string"
  }
  ```
</ResponseExample>
